package service

import (
	"auth-server/dto"
	"auth-server/models"
)

func GetConfigList() ([]*dto.ConfigResp, error) {
	res := []*dto.ConfigResp{}
	var items []*models.ConfigItem
	query := models.DB.Model(&models.ConfigItem{})
	err := query.Order("id").Find(&items).Error
	if err != nil {
		return res, err
	}
	for _, c := range items {
		res = append(res, &dto.ConfigResp{
			Key:         c.Key,
			Value:       c.Value,
			OptionKey:   c.OptionKey,
			ValueType:   c.ValueType,
			Description: c.Description,
			Order:       c.Order,
			IsEnabled:   c.IsEnabled,
			Uri:         c.Uri,
		})
	}
	return res, nil
}
